%define	major 1
%define	libname %mklibname %{name} %{major}
%define	devname %mklibname %{name} -d

Summary:	Lossless Audio compressor
Name:		wavpack
Version:	5.1.0
Release:	2
License:	BSD
Group:		Sound
Url:		http://www.wavpack.com/
Source0:	http://www.wavpack.com/%{name}-%{version}.tar.bz2
Patch1:		%{name}-5.1.0-CVE-2018-6767.patch
Patch2:		%{name}-5.1.0-CVE-2018-7253.patch
Patch3:		%{name}-5.1.0-CVE-2018-7254.patch
BuildRequires:	pkgconfig(ncurses)

%description
WavPack is a completely open audio compression format providing
lossless, high-quality lossy, and a unique hybrid compression
mode. Although the technology is loosely based on previous versions of
WavPack, the new version 4 format has been designed from the ground up
to offer unparalleled performance and functionality.

In the default lossless mode WavPack acts just like a WinZip
compressor for audio files. However, unlike MP3 or WMA encoding which
can affect the sound quality, not a single bit of the original
information is lost, so there's no chance of degradation. This makes
lossless mode ideal for archiving audio material or any other
situation where quality is paramount. The compression ratio depends on
the source material, but generally is between 30% and 70%.

The hybrid mode provides all the advantages of lossless compression
with an additional bonus. Instead of creating a single file, this mode
creates both a relatively small, high-quality lossy file that can be
used all by itself, and a "correction" file that (when combined with
the lossy file) provides full lossless restoration. For some users
this means never having to choose between lossless and lossy
compression!

%files
%doc README ChangeLog
%{_bindir}/wavpack
%{_bindir}/wvunpack
%{_bindir}/wvgain
%{_bindir}/wvtag
%{_mandir}/man1/*1*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Lossless Audio compression shared library
Group:		System/Libraries

%description -n %{libname}
WavPack is a completely open audio compression format providing
lossless, high-quality lossy, and a unique hybrid compression
mode. Although the technology is loosely based on previous versions of
WavPack, the new version 4 format has been designed from the ground up
to offer unparalleled performance and functionality.

In the default lossless mode WavPack acts just like a WinZip
compressor for audio files. However, unlike MP3 or WMA encoding which
can affect the sound quality, not a single bit of the original
information is lost, so there's no chance of degradation. This makes
lossless mode ideal for archiving audio material or any other
situation where quality is paramount. The compression ratio depends on
the source material, but generally is between 30% and 70%.

The hybrid mode provides all the advantages of lossless compression
with an additional bonus. Instead of creating a single file, this mode
creates both a relatively small, high-quality lossy file that can be
used all by itself, and a "correction" file that (when combined with
the lossy file) provides full lossless restoration. For some users
this means never having to choose between lossless and lossy
compression!

%files -n %{libname}
%doc COPYING
%{_libdir}/libwavpack.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Lossless Audio compression library
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	lib%{name}-devel = %{EVRD}

%description -n %{devname}
WavPack is a completely open audio compression format providing
lossless, high-quality lossy, and a unique hybrid compression
mode. Although the technology is loosely based on previous versions of
WavPack, the new version 4 format has been designed from the ground up
to offer unparalleled performance and functionality.

In the default lossless mode WavPack acts just like a WinZip
compressor for audio files. However, unlike MP3 or WMA encoding which
can affect the sound quality, not a single bit of the original
information is lost, so there's no chance of degradation. This makes
lossless mode ideal for archiving audio material or any other
situation where quality is paramount. The compression ratio depends on
the source material, but generally is between 30% and 70%.

The hybrid mode provides all the advantages of lossless compression
with an additional bonus. Instead of creating a single file, this mode
creates both a relatively small, high-quality lossy file that can be
used all by itself, and a "correction" file that (when combined with
the lossy file) provides full lossless restoration. For some users
this means never having to choose between lossless and lossy
compression!

%files -n %{devname}
%doc doc/*.pdf
%{_libdir}/libwavpack.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches


%build
%configure2_5x \
	--disable-static
%make


%install
%makeinstall_std

%changelog

* Sat Mar 03 2018 Giovanni Mariani <mc2374@mclink.it> 5.1.0-2
- (3455911) Added P0-P2 to fix CVE-2018-6767, CVE-2018-7253 and CVE-2018-7254, bumped release


